summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Levenshtein/Levenshtein-0.20.7.ebuild45
-rw-r--r--dev-python/Levenshtein/Manifest2
-rw-r--r--dev-python/Manifest.gzbin261391 -> 261402 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.24.92.ebuild68
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.27.92.ebuild72
-rw-r--r--dev-python/ensurepip-pip/Manifest2
-rw-r--r--dev-python/ensurepip-pip/ensurepip-pip-22.3.ebuild27
-rw-r--r--dev-python/fido2/Manifest2
-rw-r--r--dev-python/fido2/fido2-1.1.0.ebuild44
-rw-r--r--dev-python/geventhttpclient/Manifest2
-rw-r--r--dev-python/geventhttpclient/geventhttpclient-2.0.8.ebuild52
-rw-r--r--dev-python/google-auth/Manifest2
-rw-r--r--dev-python/google-auth/google-auth-2.13.0.ebuild58
-rw-r--r--dev-python/huawei-lte-api/Manifest2
-rw-r--r--dev-python/huawei-lte-api/huawei-lte-api-1.6.4.ebuild40
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.56.3.ebuild77
-rw-r--r--dev-python/icalendar/Manifest2
-rw-r--r--dev-python/icalendar/icalendar-5.0.0.ebuild38
-rw-r--r--dev-python/notebook_shim/Manifest2
-rw-r--r--dev-python/notebook_shim/notebook_shim-0.2.0.ebuild45
-rw-r--r--dev-python/oauthlib/Manifest2
-rw-r--r--dev-python/oauthlib/oauthlib-3.2.2.ebuild29
-rw-r--r--dev-python/pastedeploy/Manifest2
-rw-r--r--dev-python/pastedeploy/pastedeploy-3.0.1.ebuild41
-rw-r--r--dev-python/pytest-twisted/Manifest2
-rw-r--r--dev-python/pytest-twisted/pytest-twisted-1.14.0.ebuild51
-rw-r--r--dev-python/sphinx/Manifest2
-rw-r--r--dev-python/sphinx/sphinx-5.3.0.ebuild128
-rw-r--r--dev-python/sphinxcontrib-spelling/Manifest2
-rw-r--r--dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.6.2.ebuild49
-rw-r--r--dev-python/sqlalchemy/Manifest2
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.42.ebuild94
-rw-r--r--dev-python/tinycss2/Manifest2
-rw-r--r--dev-python/tinycss2/tinycss2-1.2.1.ebuild44
37 files changed, 1038 insertions, 0 deletions
diff --git a/dev-python/Levenshtein/Levenshtein-0.20.7.ebuild b/dev-python/Levenshtein/Levenshtein-0.20.7.ebuild
new file mode 100644
index 000000000000..8887977b011f
--- /dev/null
+++ b/dev-python/Levenshtein/Levenshtein-0.20.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Functions for fast computation of Levenshtein distance, and edit operations"
+HOMEPAGE="
+ https://pypi.org/project/Levenshtein/
+ https://github.com/maxbachmann/Levenshtein/
+"
+SRC_URI="
+ https://github.com/maxbachmann/Levenshtein/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+DEPEND="
+ >=dev-cpp/rapidfuzz-cpp-1.7.0
+"
+RDEPEND="
+ <dev-python/rapidfuzz-3.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.13.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/Levenshtein/Manifest b/dev-python/Levenshtein/Manifest
index 539de7804620..4d8d22fdfcc1 100644
--- a/dev-python/Levenshtein/Manifest
+++ b/dev-python/Levenshtein/Manifest
@@ -1,7 +1,9 @@
DIST Levenshtein-0.20.5.gh.tar.gz 35126 BLAKE2B b1322abdca5a4cd372bce74ce3f1d5e9f671783797830f0527282284fb1296be6ae9ef3fc68fe1f6867d1b1e9069c1c0c60106bd64f966f1333d087b52a9fe02 SHA512 d3afd384023537de5918e011e16395c7dc69ba61c4823eb64e938810dbf49cbf5379589a4cc13e7dd49f8a2e683498d3768717e52678ee01fb8d1dd55c304307
DIST Levenshtein-0.20.6.gh.tar.gz 36525 BLAKE2B d0b26f4aec5a985c04c0366c7d36633f172ce0efdb73f75a863cd306403d2d721acff7b2a460a74d19efacb0fd01f3973b93cc6d59695b576f8b11e79752b31e SHA512 4e2d6d7f59e8e2190029d9f5f49ed8407997935076233b79a7c81470a84446851e14f5edbbb42d48a85dbdf0116b40186d896f172f2d740f769a7e7cb9350e7f
+DIST Levenshtein-0.20.7.gh.tar.gz 36561 BLAKE2B dceaab4c16e386c685707edeea766701234c07e4bc1216d801ba7f5e92751126b976f8918b31d48ae928750e8d20102245e40161446b78e91ff74a285edaf12a SHA512 bca69e91e056b4b86340860f4c4e91af291f535d38a756c9a4f9a377024c0491724b972fa5b014da1ad563333cb9b797c9d05359185fc0aecc9fc018fe5d258e
DIST python-Levenshtein-0.12.2.tar.gz 50502 BLAKE2B d8992d30639e36aac1b85fada8f5273ed867aa3019208ffeb9972e999dad783d4ee16e1f6988c9306eb80f622b61fcf3a0a937b380c7a5acf50223268ed8de1d SHA512 97eac9d19121758af7620ad3963846e48434ceabb5376a83f28452015adf1a620620bfb53edb1c4f60b0fc8ec2b0faf35a105d7e2a0fc5df7a45fce81ba0dcdb
EBUILD Levenshtein-0.12.2.ebuild 630 BLAKE2B a56ef0d6431d51516f69a6a00dabec4681aa3e999fecfd904d34fee2dc1d4e8fca5ef47af6d388b0dcb72a9a1664f4d8ccb4124496d6ddb1306c7194aba06d1a SHA512 12021fce00cc5bb951cdfaba190a14f512bab14cef53b430504400bfa99daa91faa04a819fef750c7e558b0a99698fc52c8f52294d4ce47069efdf30a2d9600a
EBUILD Levenshtein-0.20.5-r1.ebuild 991 BLAKE2B 0f04ff79ebfd57e3f0615f086219560ab2b5c2aea834a11f46f78a9fe0697a3f8370eaeb9473b72c3c266ea9c9134b356e3770c73ca9cc897a8ec924e59fafd4 SHA512 fa296b0fa76d1adb457b0c1059a3db4a861952a0d59a0016e58d3a2a54677e8f53fdd452750238303ae3fd98e398c51682b65eba9b9e830e9a649bcd14de12af
EBUILD Levenshtein-0.20.6.ebuild 991 BLAKE2B 0f04ff79ebfd57e3f0615f086219560ab2b5c2aea834a11f46f78a9fe0697a3f8370eaeb9473b72c3c266ea9c9134b356e3770c73ca9cc897a8ec924e59fafd4 SHA512 fa296b0fa76d1adb457b0c1059a3db4a861952a0d59a0016e58d3a2a54677e8f53fdd452750238303ae3fd98e398c51682b65eba9b9e830e9a649bcd14de12af
+EBUILD Levenshtein-0.20.7.ebuild 991 BLAKE2B 0f04ff79ebfd57e3f0615f086219560ab2b5c2aea834a11f46f78a9fe0697a3f8370eaeb9473b72c3c266ea9c9134b356e3770c73ca9cc897a8ec924e59fafd4 SHA512 fa296b0fa76d1adb457b0c1059a3db4a861952a0d59a0016e58d3a2a54677e8f53fdd452750238303ae3fd98e398c51682b65eba9b9e830e9a649bcd14de12af
MISC metadata.xml 378 BLAKE2B 59900a9f2532c274a220466ff9bd5db4a4830b221119a95a0fdf82928b90c64b458b16c26257b69093ac08346bafbe54189bdb873bb8f119753a4f2243973eb9 SHA512 26b3ddc5d3843122a47941cb1e388e41f6a3f98e3f8d2f5108f50240b5c9005edb2b1e2df55c9046d48a8b4e07941f8ccd4fdee129f4ac948a47a6207b73c7ba
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 3617aafb1e96..5abf1d2cde12 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a4870a40478a..0a2d11676636 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,10 +3,12 @@ DIST boto3-1.24.88.gh.tar.gz 543896 BLAKE2B 9dd2a18e3fb8d0a9f3a3a1fd7d0cceb49176
DIST boto3-1.24.89.gh.tar.gz 544293 BLAKE2B 53854b91c1c4c677eee743776a67e552bd2e11947839c442d81c1983930d6ff16d6bc5483c29b9a14b99a7cef09f3b9cd74cea9edb1cb76ff5458be3c9743164 SHA512 ef3b503b1313b8b7d84f5e4afdbe4e3d9e95ce3fbba81d400191295c71d4237e764f87ab6ebf2b29536248a520ab1273bee43bedd746596224f7400ce04c2c02
DIST boto3-1.24.90.gh.tar.gz 545802 BLAKE2B 04148b878266a9d541a6fe8a4b4e8088fa2af11fd88b0fd9bac064bf493a9e787958d61c721254c1cf72edea72d761cd3583370f587c925f70c099027e94f72c SHA512 92c9da4559fdef7a7ee68eda9f1e9f70d652ec383471b9d1fafcf260b1456e84b7cc86347c3a0c44990f38aa87632885b1df65aafdae3c7f5948c0223ffe6981
DIST boto3-1.24.91.gh.tar.gz 545914 BLAKE2B 763b39653d7de6ce27bb2a429ae0856a077f490e2c61b648ad89bde3c79731578272ffb558479517fd8a5235c41280413812b91f22604e6671cc1c941459fc90 SHA512 5b86a1518e8e6a9972d62dbcd8cd2f784d03e9e9fe7dc76ae4fc28b7c5151b277774bf01fce0473a3ff88af736132c389df5f7ae33c54f895b4c447e8cc19135
+DIST boto3-1.24.92.gh.tar.gz 546140 BLAKE2B 308f170f83a8cdc66c0423721e3fc9a2a58fe11f3b5bc7290e85aa637714ce10bd728ae69ff9e09a6e62bcf76a178e1f118e78e85c0c845d925be1937402ca87 SHA512 a8968f780a6b2929368f8696c83e501d42f17219e5015f668734e3a66146ca3e4cb539a2cd47525ba5a8376ee4cd4b180b9a362fd221f8fe75b78bfa17b92894
EBUILD boto3-1.24.80.ebuild 1579 BLAKE2B 394d8a1bb7a1036ab4821bc789c9eea285f8a6a7c21e751d60c94a53d5fdd37119eab54bfd19bfe0856b7557df04340f50c7cebbe631234e8f582e7d62af13ec SHA512 beee3b634e3b1d66365beb2e97b9d09188fa795e00d9d05f2101de423128741ee1f8ad8ae4b0c35f1e6c6473ce73cc3acf47d9141029b4435d39a9803a5fe1b2
EBUILD boto3-1.24.88.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.89.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.90.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.91.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
+EBUILD boto3-1.24.92.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-9999.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.24.92.ebuild b/dev-python/boto3/boto3-1.24.92.ebuild
new file mode 100644
index 000000000000..6edcc751d54b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.92.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 96b2a4cb6d81..745fbd84e952 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,10 +3,12 @@ DIST botocore-1.27.88.gh.tar.gz 9703393 BLAKE2B b7152546ffd44fccc3607ce4fb0df586
DIST botocore-1.27.89.gh.tar.gz 9704257 BLAKE2B f7c0f34d93940aea72337c1cfb229ba79b06c15c99c7c1b719fcad9c2131cc98e084a14f8988e77e0627fac994bd4bfe539bcbcedd318b9bc861311772a5e99b SHA512 ddebfa73a4fee423ee7ead3e7d28ff9e8160f8459ea7cc341b1194759894aee24b07cec25030dedc4570416146d96159f532b7ec2e22d5279e4390bef3330a13
DIST botocore-1.27.90.gh.tar.gz 9712235 BLAKE2B 3140dd97ed33b368bf605ff77e15ada2b0ace21d8816f7ea0b614f822a4f6ab1fe7640c52c08087cc3d12a8a6a2e15cde0895eb65d643441398b743800ed8296 SHA512 4ba1d0cc82ee0f0d77da2613b8dae20aeeb49d0ce6c87c074800e4887fa341948292a4fb9eec605c5a3f9ed9ff7773e4c8b46ff286d8b2d9588b125f5d3fcac9
DIST botocore-1.27.91.gh.tar.gz 9712617 BLAKE2B 3317a45a297e1903d43d608760fb9e12c68d132f979bf4c76d73592aaa42a5f2d29a8c20bfa1f868365e962573bfa16986858dca2078b1fa797c58e71ab9a642 SHA512 0e2895cded36c3a9583c38ad018683556e26faa066d930c37a754798c31f0b510a86362357c66d13fbc141d04c30ae4f3d518ec46c95a1e37ed0e9912ab96a1e
+DIST botocore-1.27.92.gh.tar.gz 9758222 BLAKE2B 4f3c04b9822dfb84eacf758c6768e3e278cd53148041982ca89f7bba451cb287b23e0f13198543766caa9719e5010b0e5ee0cf1b072caf6c49602d07dac6c1ca SHA512 107f36ef2bfb2fb98f2b8b5db04d3f5c345b1a4e7c03f2e949da5b4eb3694bfdf8d711c6a154df4bd248ef98be3868d69ba5a429037e3be61db4d3a4aa7df9e0
EBUILD botocore-1.27.80.ebuild 1801 BLAKE2B 224b9b1ebd6786f36115c25699b06ef4ace30f13c8c97fbac20f37ec3dec7219e89fae3fdc70ef2b808342e7dab564755b758952cd565f06ef68b1e387c1ee7e SHA512 f26fd77fbbc424dc20e7844807bb7650e73e989e15fa5c20c9733e3bc322f4a2fffda47fcd29f82490be7262648582b162f86b4951c8d338d9ebbb1312df8294
EBUILD botocore-1.27.88.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.27.89.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.27.90.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.27.91.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
+EBUILD botocore-1.27.92.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-9999.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.27.92.ebuild b/dev-python/botocore/botocore-1.27.92.ebuild
new file mode 100644
index 000000000000..d1a6948e70e5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.92.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/ensurepip-pip/Manifest b/dev-python/ensurepip-pip/Manifest
index de9e5e77ecc8..3a65ae77fc06 100644
--- a/dev-python/ensurepip-pip/Manifest
+++ b/dev-python/ensurepip-pip/Manifest
@@ -1,3 +1,5 @@
DIST pip-22.2.2-py3-none-any.whl 2044706 BLAKE2B 254427e593e44d9f1ce48276fd40f214e8ca9d27b6c31b7a6ed5fa4566df6b1f723215c6a1766a534ce18174f2363c383dbff19368d1b89f1519a53bebd34215 SHA512 142d3144c14b692c645613d98bf35dd91193128d5e21b61a8a702548f1247fac662499d6e39b65c0aa9a0444d2d92983fd8c410439796626485a4e1be99a102f
+DIST pip-22.3-py3-none-any.whl 2051507 BLAKE2B e9822b6154aed421066a1cb173f08281ecb4769136607775d6d5f75a038613899b960fe3cd4f0356d8d6b2b891b64f54f69eff46a2875ddca49200c1e4e88222 SHA512 4e71295da5d1a26c71a0baa8905fdccb522bb16d56bc964db636de68688c5bf703f3b2880cdeea07138789e0eb4506e06f9ccd0da906c89d2cb6d55ad64659ea
EBUILD ensurepip-pip-22.2.2.ebuild 654 BLAKE2B f18d5964a7314be76d7445f5187493d135bab4b7d8a26326b044ab4e0fb136373c27f46d3132d08de7cf53b475cfd4d9f3a12f1ba943344a9d39b388633f9dd2 SHA512 0e3db321efe3784abdab74e682a479ee0f5bd5681c6ea36e7a1c8caa20adfcf1a090e8c5bbfb81cd11ea3972321162f425ef62b7e06ec876eb03cde028ef389c
+EBUILD ensurepip-pip-22.3.ebuild 662 BLAKE2B 1addda7174ad9464d074dd238c3e70a3f2a2fda7b754fb79f461a1ad9dc2f03871ec98a2432374a3e336b64d4fa50dc48faa4c6922d6e792e759e73a895560d4 SHA512 779467e32d2a2ba759b1ae03a4d649c704ac666a57f980c3e0db33fe9493e4f546d39ff0cad43d7f00ffe87592cba20bca8b70515cc12cfbdff5e666714009a9
MISC metadata.xml 309 BLAKE2B 197e5620aab85ff590270ae6838c9188cd699943af4c9c3eeb7de92c2e9390c082eec603e63bc2bba39477586f19e58da2e5fe2d5ffe9b59b87ae5386c939df1 SHA512 c678bc8fb62f6e6850939ebff56962503bb03393572cfff7e5f7d38e8cf5ca71d8e38e402355c5f963fb718eed24bca463d7c63fede5cbb550f6f32a9c06af9e
diff --git a/dev-python/ensurepip-pip/ensurepip-pip-22.3.ebuild b/dev-python/ensurepip-pip/ensurepip-pip-22.3.ebuild
new file mode 100644
index 000000000000..27ee812d0240
--- /dev/null
+++ b/dev-python/ensurepip-pip/ensurepip-pip-22.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN=${PN#ensurepip-}
+WHL=${MY_PN}-${PV}-py3-none-any.whl
+
+DESCRIPTION="Shared pip wheel for ensurepip Python module"
+HOMEPAGE="https://pypi.org/project/pip/"
+SRC_URI="
+ https://files.pythonhosted.org/packages/py3/${MY_PN::1}/${MY_PN}/${WHL}
+"
+S=${DISTDIR}
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC LGPL-2.1+ MIT MPL-2.0 PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ !<dev-python/ensurepip-wheels-100
+"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${WHL}"
+}
diff --git a/dev-python/fido2/Manifest b/dev-python/fido2/Manifest
index a97d8e15005a..c39b268a2def 100644
--- a/dev-python/fido2/Manifest
+++ b/dev-python/fido2/Manifest
@@ -1,5 +1,7 @@
DIST fido2-0.9.3.tar.gz 217894 BLAKE2B ccc3a9b59045216037664b5bf4b969a79b86b300f67fc4253b563acbbee98912ea076996772f17b88141d2a36a933b4926de96f05c53e204d0bb4eaaa2daad6b SHA512 f105c347784cdfab88ab08852227d24f4bca623145f7f76bd066dadab6ada1eae751934fd4dc7436a5c5fb3a0ed2fc4d5c59bb2a93888d470028f0713ca7e09e
DIST fido2-1.0.0.tar.gz 245631 BLAKE2B e9ee319c19a9d4b687958ee2f9b2b809b8fa1d41bd278bbd7e26a5bbcab51791d6b8565dd6cdb6abf6804db4604f4b02e2d7e73cbbf2a237d72a0679c3ebcf49 SHA512 778128fb4fd459bd096eb440034a08c8883bfd29dbe834f3affb451032a5d5a22c79ca71be257b3c333a9d9890602558502848e83cd3efab4b6d6762e0622670
+DIST fido2-1.1.0.tar.gz 243526 BLAKE2B 48a6466c1ad3723d3d5f2e22ef59b4b49ebc3231739ffffdb25349d466c23f5cdc063908ea1adb944041f646d0bd0648d66acdaae0e72a9715e4bc365f449c12 SHA512 df7fcf205a5c124daf14c4bb7742aa16def1e912490c3b967dd940fdb21baf1a933130eab276af7c03fb46fb779a5a2b8e5fa3d8e3cd379297c23d9f39cadba4
EBUILD fido2-0.9.3.ebuild 1345 BLAKE2B 4c477249eede6dd1fd6cd1856af5766e95aac6d007e2de65c72688422ae1905e09afb5fb646a1ed78a5409990c127859f96aada6210212c53c723316f39ac133 SHA512 83975e9bb7f1d97b4142974fdb01e3d83fdd8fab874cf1b1a226e296f0976bcd35d7dc96bcf1c1d049e4ed478d037a3a4027f1c9ca0613b398e134ee94e83b82
EBUILD fido2-1.0.0.ebuild 959 BLAKE2B c9268a458e2557f020be5a03511d5d4e1c85a4fd970c6346e68fdf91130e3c62cec8a56d27944b8dff90d1eb658bd5da927c2b0c139de720d850a137e7f3137c SHA512 91dcde7f8e1f3e26594ba91aa14045da362c0aa9ceb8b3ad830319e99fe93d33b0c4e4cbdb048406d6b03fdc96f25d2c9324e040bfbf80e3bace2c45ca68cdc7
+EBUILD fido2-1.1.0.ebuild 1004 BLAKE2B 00b2683eb4370ec620116f18466b7430cc959dcccd614edb7ee44692f857df0ee83410f5176884a826310bbc27064eedd55656a69ccda4fd655698140fd4ed70 SHA512 fdc3c69c272e706244b0a68230edabfe38359141721907ebf94ea94dbd2afeca481cb2ca65e94bd4f7a3ed99a902bf5b11b7edca360f3088e8f13cee0936984b
MISC metadata.xml 820 BLAKE2B 092fc3aa0dc3e3a8998e7cef0a3229d5b8791983dc07df84c74ff6b7221afc879aa5a39a6ad58ff0bfe2836fa48b57d3445f20a0c78e2affc3bc47b73b81544b SHA512 f588e6637d75b668dabf80fc2c8e1133119a770d4f7fa5077025e0a478f8eb9c7f18eac1ce15395549485625bc4c82bdeebf07440087cd074e95d42a685eef53
diff --git a/dev-python/fido2/fido2-1.1.0.ebuild b/dev-python/fido2/fido2-1.1.0.ebuild
new file mode 100644
index 000000000000..da7a80ee9ab6
--- /dev/null
+++ b/dev-python/fido2/fido2-1.1.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Python based FIDO 2.0 library"
+HOMEPAGE="
+ https://github.com/Yubico/python-fido2/
+ https://pypi.org/project/fido2/
+"
+SRC_URI="
+ https://github.com/Yubico/python-fido2/releases/download/${PV}/${P}.tar.gz
+"
+
+LICENSE="Apache-2.0 BSD-2 MIT MPL-2.0"
+SLOT="0/1.0" # Bumped every time a backwards-incompatible version is released
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="examples"
+
+RDEPEND="
+ <dev-python/cryptography-40[${PYTHON_USEDEP}]
+ <dev-python/pyscard-3[${PYTHON_USEDEP}]
+ examples? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ docinto examples
+ dodoc -r "${S}"/examples/.
+ docompress -x "/usr/share/doc/${PF}/examples"
+ fi
+}
diff --git a/dev-python/geventhttpclient/Manifest b/dev-python/geventhttpclient/Manifest
index bee4be152598..29f3199ad24f 100644
--- a/dev-python/geventhttpclient/Manifest
+++ b/dev-python/geventhttpclient/Manifest
@@ -1,5 +1,7 @@
DIST geventhttpclient-2.0.2.tar.gz 73821 BLAKE2B 6e12c0a7eabf2d15540192e161f27e4ef5aa771ac8b60deb00c0dbfd804e5d81f729609649c88b9b8cd51125b06afaf3d31367896ada339731ba3606ef64edda SHA512 d22453bc4fef8d9ad3b98a137d74df1647c69c594a8fa4b49848e71ca472373e44c70e3ed3798d73aca9089495cff1b5f888d1b1e39b1da60ee9052935b7b0a1
DIST geventhttpclient-2.0.7.tar.gz 75969 BLAKE2B f749e42ccfd981cc67c1692695454f410708ca75f24b2ae6408556bda07d1e45f367421fbddc203f46ac82daf539d192fdab16245a20b6f3f883478c8b8e354f SHA512 7570b297c13a28761ec639721ecb44fdcac46141167e67ceac4e632058458b62acef0513c794c80e44980747807a175e7a39e6c5ff272be3ceddbeca9f629114
+DIST geventhttpclient-2.0.8.tar.gz 76142 BLAKE2B f55847347861680d227830c818487cfc444ffd822c54480f416874e71901b541d374f84c354247d9537dc3e5796790bf316139d819264fcba09ce565b569cb2a SHA512 0de485c4efff810da561e4bef67a19d763ccbff4d3b952aa57e576ba4d50a97fe5f818f0c927548643d1f68fb6a3db405669c58c2298a3ea809179f5a97cb810
EBUILD geventhttpclient-2.0.2.ebuild 1537 BLAKE2B 1ef76232051fb2b29c2feefd2861a279ef6230f10c8d51a7653fb02d1d584b5d8d5766b301530b0df460bb873459a9482f02fb3538d982901a858c63746d4727 SHA512 830b8b365c850876e18de556f426e3ad061cff7c126b916dd662ee6ace14d1a83b733c0238fa33060e557f9a3ce78a5b4d3fc0b7ad15e7e160029852f50f6908
EBUILD geventhttpclient-2.0.7.ebuild 1541 BLAKE2B 133d5086e2ac682cc5d41f6153f9579f4337ce70f6c5fe9844e38e5c86f5ef379b39a22480ff3a8c01df0c39b1fdc00ff7730d9719f322c756af3fbaa782e3ff SHA512 765b80365d81f20eded6be8ac7d3ef6dffe4dce45e938aa596c0e01a083501fb22c151500b3d10ed15d7e11e45f93e2f65333718ae00e70dbe017fcaa5870b8f
+EBUILD geventhttpclient-2.0.8.ebuild 1541 BLAKE2B 7a80475bc8a8efa427497e77fac36b0f42b250cf0db89441f7413cd09ee90fec31c2b5fc1fdb0e514ec09cef5dfb89a9430d0838559791dcb0dba8c8900dbb4d SHA512 956fcf3a5d86cfeaf576d2b9147142ce34fce720cea447aecc8c95d86daace736be1ef17e377dea841871fc884ea5d501fee37a6bd61b367be7eba5eb8590933
MISC metadata.xml 580 BLAKE2B 24b9860ee1f361f1ced81967a404c4cf773e415c053ac83ff0b2bb97bcbbaa5cbba4e7faddcb615379d3057d2c3c28d59f9c8a0a36135edf9165615610ecce45 SHA512 5c3a892358d1fc3594d08c3551b441eaa2e38c60cd06952a62631a4ac687ab730be559ecfb17f9ab7878d0052b4ff7e03d6d49fd1a277bff71c1ef4fc369daf8
diff --git a/dev-python/geventhttpclient/geventhttpclient-2.0.8.ebuild b/dev-python/geventhttpclient/geventhttpclient-2.0.8.ebuild
new file mode 100644
index 000000000000..309aa9811720
--- /dev/null
+++ b/dev-python/geventhttpclient/geventhttpclient-2.0.8.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high performance, concurrent HTTP client library for Python using gevent"
+HOMEPAGE="
+ https://github.com/geventhttpclient/geventhttpclient/
+ https://pypi.org/project/geventhttpclient/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/gevent[events(+),${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Avoid ModuleNotFoundError for tests we skip later
+ sed -e '/^import dpkt.ssl/d' -i src/geventhttpclient/tests/test_ssl.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # These SNI tests require dpkt which is not in the tree
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_host_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_header_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_explicit_sni_in_ssl
+ )
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # Skip tests which require internet access
+ epytest -m "not online"
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index fae00403d453..a95a3e9bfc86 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,7 +1,9 @@
DIST google-auth-2.11.0.tar.gz 205568 BLAKE2B 76f43804c117006141e46291eaa35b49e73f4eec81307b7c3c6fdf82faf1a1f3101ef1a652c5dff05ca6686ded0859c6a3bee8d38cd584fd5cacef9598aae9b1 SHA512 0b2c8653184d95b1f0981326721a8604bee6737e2e4fb68c12d695c74e03406e6d189b00740c34ee74d6ae4032581bd099018f8eaf1d65759e4c5fa4127305cf
DIST google-auth-2.11.1.tar.gz 205716 BLAKE2B 06cf90b915c82bb53795427fc971c6a979baa34d3e32d43db20c0df86df9ef39d0ee80c4026dd502ff1d5233f1d80b0a4fa9750aafe9f0d427013a2d8ad34054 SHA512 f89fc2ec2d130156132f7e7290f4237ee9adf832f6b1914a39ea7d56943bb26fa02e940e826eb9c4e5351aa91ebf03cc5969c25e5020a89a09ea8f92535a0c07
DIST google-auth-2.12.0.tar.gz 209325 BLAKE2B a6f754262dd7b75796dd63f4b7a2161ba959a3103c51cacb3d5f4ba3d17efdd36e1836ce360fa108b5dbce710743bfacf3b8b054de0e235590ba15eae8f3cdf3 SHA512 59209299631b7ea7d11e6787c33a304bbed5bca2173148d8c69595fc573f8915f6e3b601ed96686568f517cbbea71e18be228874334733629fbdd030976821cb
+DIST google-auth-2.13.0.tar.gz 216209 BLAKE2B 4e88062d89ca9976e0d87a93012c8ca318f9068452fde365970aab1d6ab4985aad378a038e36e0a82aca4665a196c412287a84b58c831edc9483d02fa4ed2489 SHA512 253dd17466850b20212c8cbbeb29c35dbffb2f3205867c7fdf74e400e4f2f9bf3c9ca6ffc814e5c3e9c7cc918a6cc60e696bc98c5d969761101dee4109b7018e
EBUILD google-auth-2.11.0.ebuild 1525 BLAKE2B 0559fae14e6b27d48b0a8cf5babe40d71283d26581e6bc1c2efb0e9c20b7757ba820fbed34dd73b32198cbde9f2b3a620b9d27156ef9847a875908ce663a3e63 SHA512 e9ade71009eea68d39214942b376aff7aa4c1660e29cc2bbc535f7e0f40fdbe0ec30140dd4a21dd503531577ee6c183ec78fcf433f4898f819c620be02dceda1
EBUILD google-auth-2.11.1.ebuild 1527 BLAKE2B 6a9c5ae6fe4de702e737e491d692c91e0b44ba3961a2f965489614220fd641cf0416ced1ee0bfd910730268c14406d27e12a224499004a9d2a41f258726c33b7 SHA512 e64349d2b54a4be4fc33d37faec791ac61459ae7cc4143758bc47b3d593f8c440ea4114dea463318f2706d1c597c6c248a81117908ab5b6f5304e0ea63ae521d
EBUILD google-auth-2.12.0.ebuild 1527 BLAKE2B 6a9c5ae6fe4de702e737e491d692c91e0b44ba3961a2f965489614220fd641cf0416ced1ee0bfd910730268c14406d27e12a224499004a9d2a41f258726c33b7 SHA512 e64349d2b54a4be4fc33d37faec791ac61459ae7cc4143758bc47b3d593f8c440ea4114dea463318f2706d1c597c6c248a81117908ab5b6f5304e0ea63ae521d
+EBUILD google-auth-2.13.0.ebuild 1527 BLAKE2B 6a9c5ae6fe4de702e737e491d692c91e0b44ba3961a2f965489614220fd641cf0416ced1ee0bfd910730268c14406d27e12a224499004a9d2a41f258726c33b7 SHA512 e64349d2b54a4be4fc33d37faec791ac61459ae7cc4143758bc47b3d593f8c440ea4114dea463318f2706d1c597c6c248a81117908ab5b6f5304e0ea63ae521d
MISC metadata.xml 521 BLAKE2B 784282f6a173e7746a408556d77e1277f65a41eae545b6b26054c1e506642e683c1c7d91798f3b7b690bc4f9d2f642a51c1395593177eebf1770d2a0c0ba589e SHA512 c2624ebca3dc42961e61531db4724b2b354a722f71cd7f2c194680fee50125d2251f4b94cc7e31b008a2792e74b0f55f407a1230d3f59572df9cf32ee49d2fb7
diff --git a/dev-python/google-auth/google-auth-2.13.0.ebuild b/dev-python/google-auth/google-auth-2.13.0.ebuild
new file mode 100644
index 000000000000..de5188c8fdb8
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.13.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ !dev-python/namespace-google
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/huawei-lte-api/Manifest b/dev-python/huawei-lte-api/Manifest
index 626c34359cc9..608183eeef5d 100644
--- a/dev-python/huawei-lte-api/Manifest
+++ b/dev-python/huawei-lte-api/Manifest
@@ -1,5 +1,7 @@
DIST huawei-lte-api-1.6.1.gh.tar.gz 32963 BLAKE2B f159e1dc4cb759c09a88bb763c6ba5f43043eacf025e7ada871c816e0e72a238f9e7536dbc043f8596bef390ecfc2ee137c1a4c079ca33db6c3a3198147c9f98 SHA512 2a6a330c419af0d2b8eeff9d8b93a11cdf8050db04e609cb1d86a33ab770d7102c8e40652482c2500ce4bf4152b66b98ee1fc77be104db8ab9a9bbeec871ce20
DIST huawei-lte-api-1.6.3.gh.tar.gz 33065 BLAKE2B 2c16080b929d410d0e05b028e8a73003e5dd0b8a5e14602173571b473ffdcfc8ffb742b3db23dc7d4892386447d9c8fa9b30eee4016aa8f94ec7ac878184ca88 SHA512 a48c56d88859ef8a12eebaed48787fe7b62e3abac9b1d393e70dff9553b51284a5b860e113f4ed709dcab590c607a356c3b3fb81ac7bce5260fdf21d28d98510
+DIST huawei-lte-api-1.6.4.gh.tar.gz 33855 BLAKE2B 345845f953597064220a73a9347ed929a34c21aeb1d79e0a42aa4ada7e91e27e92c7648b48aa7832d7d4ec2b03844c9189b34d81699d0bd6b38c61dac6cbe7bc SHA512 f1d30a70b1d347d9ddbf3fe7aa099a2a28c22de6c1f21c38ca6a83de470c644230d83d2332b48fb08766469635acc07fbac61e15c564713129e8b40305972d5e
EBUILD huawei-lte-api-1.6.1.ebuild 872 BLAKE2B bfbe5cba45ef654091a5bcb8d3dd672b0b81864d3747a3e5e41a2ff4a2f32b957729c9e8217bd6f55ed3007b43bf7c72dc116474434adba9a1504660bdf64106 SHA512 8fd9fd2c890214f14a9fb9c01f911ba46730996529678fb7136711980821b3d9e7aaee951381484cedb0370fb3bf8306903d59210283e0582bdd61b50e099a8b
EBUILD huawei-lte-api-1.6.3.ebuild 872 BLAKE2B bfbe5cba45ef654091a5bcb8d3dd672b0b81864d3747a3e5e41a2ff4a2f32b957729c9e8217bd6f55ed3007b43bf7c72dc116474434adba9a1504660bdf64106 SHA512 8fd9fd2c890214f14a9fb9c01f911ba46730996529678fb7136711980821b3d9e7aaee951381484cedb0370fb3bf8306903d59210283e0582bdd61b50e099a8b
+EBUILD huawei-lte-api-1.6.4.ebuild 872 BLAKE2B bfbe5cba45ef654091a5bcb8d3dd672b0b81864d3747a3e5e41a2ff4a2f32b957729c9e8217bd6f55ed3007b43bf7c72dc116474434adba9a1504660bdf64106 SHA512 8fd9fd2c890214f14a9fb9c01f911ba46730996529678fb7136711980821b3d9e7aaee951381484cedb0370fb3bf8306903d59210283e0582bdd61b50e099a8b
MISC metadata.xml 487 BLAKE2B a4aa976286ea3cc4e02227109277faa4506f73a4b7f6c47ef9a318ae5d1c3fe61cc6eeb50ab99c0b10e5edb4ae02101d8e4d6267e7dc8f20520e9259b1d17fd2 SHA512 2ea5ccd73098a9c4d074340c9d6eb433bdaf4530d8fdb899f2a9632c097d2021d9162aa92fb9ffb54eaad2f41050d0323ddc68d0d29ec2f13060e5fe9e26f74d
diff --git a/dev-python/huawei-lte-api/huawei-lte-api-1.6.4.ebuild b/dev-python/huawei-lte-api/huawei-lte-api-1.6.4.ebuild
new file mode 100644
index 000000000000..5b62e249fda3
--- /dev/null
+++ b/dev-python/huawei-lte-api/huawei-lte-api-1.6.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="API For huawei LAN/WAN LTE Modems"
+HOMEPAGE="
+ https://github.com/Salamek/huawei-lte-api/
+ https://pypi.org/project/huawei-lte-api/
+"
+SRC_URI="
+ https://github.com/Salamek/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # make cryptodome-friendly
+ sed -i -e 's:pycryptodomex:pycryptodome:' setup.py || die
+ find -name '*.py' -exec \
+ sed -i -e 's:Cryptodome:Crypto:g' {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+distutils_enable_tests pytest
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 7f3b709c9051..e055a8b48f80 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,10 +4,12 @@ DIST hypothesis-6.55.0.gh.tar.gz 9330281 BLAKE2B 63f967496ed96e945579390d20eefb4
DIST hypothesis-6.56.0.gh.tar.gz 9330695 BLAKE2B bab11ea2c1e2e2a380557755890803ce0ac92b7a787e79799aec3d08ca802985acc49bbde4e71845f948035686f4ef92e8e6ad13083094b86a0aacf50bfcd424 SHA512 559dcf29252051c65c0729c4e7df1325c73027459cf41fb304a0f1752bd95ebb94cc613154663c02df15f12180066df3ff1b910e33c07fba78c74896984855aa
DIST hypothesis-6.56.1.gh.tar.gz 9333226 BLAKE2B c0cd31056cfa91632defa6db42fe3e153b2b2cfc21e7ddd93cc97e9298ffe71b516dcb90def11a9bb8fe4a4987a567c7d539a3a81a64553d3a31c775f9c038fe SHA512 73f7236f149b01170609f5010ce055bd0e451b5c1953866dd17de5afcc0b1852f7e80a199b31c5e22b4898e81bb666752f18e5c27af5feff64f23ac1b3e9568d
DIST hypothesis-6.56.2.gh.tar.gz 9333277 BLAKE2B 6c75b48cd6e7300c05bd020003340aa8c868ba2d25402c7599b0e4e6f8774df38e3b3c3a4b589cf08f44fb43b04cfdbc2a3e69f894c3ccaffef705896c6c0a98 SHA512 10d4cdd343b63bc17b3e813309911fa70dfee24fac5d355e6ed907740103177da9be461d4d25e27d5190867664c64f28a7827d6ffd15fa4519ea38fbcdf629e8
+DIST hypothesis-6.56.3.gh.tar.gz 9333288 BLAKE2B 9608542d8dbe97fec147eae1f9b2f06af2b08e3cc0807fefcfa97b0a8c1aa30a15df9f1114a13f5c719701a4d13ab09a808d0d09e271d9e0d69168ebc4183af4 SHA512 f410455e77c6e9dc3b9003ef3d4c21bd204d85bc567dfd0d420986dc255d8c1ff9f41d809d837286f02064f546a08eff0f89389906ab7023581cc1f5a5d18947
EBUILD hypothesis-6.54.5.ebuild 2085 BLAKE2B 7d89dfb7307326147b2f0109fdb92fe86622608c8df2940fedf7c5ca42afcf50c01e15b58ae4d9997c6297aa3ed5f6add8706d4ed27703c060157d301125cdb1 SHA512 04978bb6be8253fa5cd7497164b8f963c7a3f883cc64f99ca25de547ed6c2ef06a8f2eded042322ad3547319c3a53e62227734e535e8d04fd9cb83c6a1112ae0
EBUILD hypothesis-6.54.6.ebuild 2099 BLAKE2B afc5e4c8ea7bf04b47871167d6cc3be263956e4dc6aeaafd335a46c6ca05f2699218aec9cf36cb16922f9d14a85b19760bc5f1c5b994a06a9cb56901c0d8ef14 SHA512 961d5176428c6d4fb38dddd33f59cdbfeca37b8e1da51bf8af5c6bbed6c20b681d8070a30581a72ae78dc6420fb5b6afaa1b095309dd7cf54cd036a6452854dd
EBUILD hypothesis-6.55.0.ebuild 2099 BLAKE2B afc5e4c8ea7bf04b47871167d6cc3be263956e4dc6aeaafd335a46c6ca05f2699218aec9cf36cb16922f9d14a85b19760bc5f1c5b994a06a9cb56901c0d8ef14 SHA512 961d5176428c6d4fb38dddd33f59cdbfeca37b8e1da51bf8af5c6bbed6c20b681d8070a30581a72ae78dc6420fb5b6afaa1b095309dd7cf54cd036a6452854dd
EBUILD hypothesis-6.56.0.ebuild 2099 BLAKE2B afc5e4c8ea7bf04b47871167d6cc3be263956e4dc6aeaafd335a46c6ca05f2699218aec9cf36cb16922f9d14a85b19760bc5f1c5b994a06a9cb56901c0d8ef14 SHA512 961d5176428c6d4fb38dddd33f59cdbfeca37b8e1da51bf8af5c6bbed6c20b681d8070a30581a72ae78dc6420fb5b6afaa1b095309dd7cf54cd036a6452854dd
EBUILD hypothesis-6.56.1.ebuild 2099 BLAKE2B afc5e4c8ea7bf04b47871167d6cc3be263956e4dc6aeaafd335a46c6ca05f2699218aec9cf36cb16922f9d14a85b19760bc5f1c5b994a06a9cb56901c0d8ef14 SHA512 961d5176428c6d4fb38dddd33f59cdbfeca37b8e1da51bf8af5c6bbed6c20b681d8070a30581a72ae78dc6420fb5b6afaa1b095309dd7cf54cd036a6452854dd
EBUILD hypothesis-6.56.2.ebuild 2099 BLAKE2B afc5e4c8ea7bf04b47871167d6cc3be263956e4dc6aeaafd335a46c6ca05f2699218aec9cf36cb16922f9d14a85b19760bc5f1c5b994a06a9cb56901c0d8ef14 SHA512 961d5176428c6d4fb38dddd33f59cdbfeca37b8e1da51bf8af5c6bbed6c20b681d8070a30581a72ae78dc6420fb5b6afaa1b095309dd7cf54cd036a6452854dd
+EBUILD hypothesis-6.56.3.ebuild 2132 BLAKE2B 949f41664cd920791b94bf39a053e3ef8d443231d34619f9f7873929d6829d261c9fe99000e274dce706f71ca5eea93fdfb62325a6ad881cfa0941420548ef5f SHA512 a04252a6ec505ddd8acb26d47d30180ce656ea8f79b06e6ab5d465092898a53ca1a83ed4f97e4d9dece274e4a40678938dde4308243acc8221927cabd2f3c9bc
MISC metadata.xml 756 BLAKE2B 26e40ab96ddcbd5751023e3c0cc9aa86e96d73ba02bca750ad15eb4301beb0318d3d694c54c2c2a2cb50937731af727411e8afb67e1a21e58e0ff611eeea9149 SHA512 cd48d35c5fe41aa9efcfea9eb7b2d78a4646658b5aab7533ca6492d4700032099fd34ca2dc45a6198c27351650c9e901c8b7c4d53ade2b56695d5e26ca371238
diff --git a/dev-python/hypothesis/hypothesis-6.56.3.ebuild b/dev-python/hypothesis/hypothesis-6.56.3.ebuild
new file mode 100644
index 000000000000..e1015cf08f6e
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.56.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_11 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!dev-python/requests-toolbelt
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/icalendar/Manifest b/dev-python/icalendar/Manifest
index d8f19ddb34c3..45fd7378ccb9 100644
--- a/dev-python/icalendar/Manifest
+++ b/dev-python/icalendar/Manifest
@@ -1,3 +1,5 @@
DIST icalendar-4.1.0.tar.gz 78706 BLAKE2B a676b938101e901c45cfeceba031c35f26dc361832ca24877acefcbe9158e111d883b757a133d72901579f73b32e34adbcb47db6d8ccbaa49f013106c282401e SHA512 15bdf4fd22394836d120d7d7ee029e218247d731c51bd99d4e6df7dd6046b91ea0874b8a81bd6090d366fff035329eac98cabdf0ba5aead43efc82c1e6566b23
+DIST icalendar-5.0.0.tar.gz 97342 BLAKE2B ce0eef07439f150488748b5dbaea45dead18f419304a33ff8a11eb2c00c432ceb3d25cf14b59f13c7aeb18fa3ef137e87306c98bcb5f5d20503c99fe52738151 SHA512 b6608d6aa23e0e3118ea90babe224dfb2fa0a83477b443fdd66d52f82681d5ca7ca86c4b774cf9161e1d1d08f3c1c2cd79f2b347f1bf5e8e54a50e615d8c4880
EBUILD icalendar-4.1.0.ebuild 825 BLAKE2B ddf5963f44d220af76b120999ee24bf424040a733f7e1b789b96bd2b4c288a68e7273785f263f6957c88d048ca4fc3209d2d8c2c4b0da70734d0513c884fda18 SHA512 af0526244f3ec2e344504b3cc4d9a78dd3ba44841afb893bdd4aaa7204883c93280cd312c8a241508edeea7b877f67578673e61e0b2d67c24cc8a61e0c4d0c03
+EBUILD icalendar-5.0.0.ebuild 951 BLAKE2B a98166386be3de6c363d952b13010fbd5a76405af5397a35da60ef09eb13aa99f95586396e7f017b6602eca5bed120f468e58546a1c035be71c8571dc7edd62d SHA512 4c171c8e127a30ba508ed5bcf34b771d882b6e85ef0187c44b4d764acc2ddb146c45a373d359975cf47d143eebd052ceafb80e79ee68eaa35d274039dc2f97c1
MISC metadata.xml 503 BLAKE2B 284f63e95eb2d3015979a14774f8ff9df0df701b81f8aa2c7583f52d05973cfede1db8eb7904203b854165e10640cc50a0e3cf14d9aff090d9ff657c53098cee SHA512 d206db3c1255c8e475c4289c548f0224c7fc507aae513d3c15706998892ef8450400a97bd07dc7d52142a03cad4abae3595d5315d8912586440df74096edea67
diff --git a/dev-python/icalendar/icalendar-5.0.0.ebuild b/dev-python/icalendar/icalendar-5.0.0.ebuild
new file mode 100644
index 000000000000..4b300aa3103d
--- /dev/null
+++ b/dev-python/icalendar/icalendar-5.0.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Package used for parsing and generating iCalendar files (RFC 2445)"
+HOMEPAGE="
+ https://github.com/collective/icalendar/
+ https://pypi.org/project/icalendar/
+"
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/backports-zoneinfo[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # reset conf.py to not read version from an installed instance
+ sed -e "s:pkg_resources.get_distribution('icalendar').version:'${PV}':" \
+ -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/notebook_shim/Manifest b/dev-python/notebook_shim/Manifest
index df1d30dc09b2..dd4a5fa5ad2b 100644
--- a/dev-python/notebook_shim/Manifest
+++ b/dev-python/notebook_shim/Manifest
@@ -1,3 +1,5 @@
DIST notebook_shim-0.1.0.tar.gz 12275 BLAKE2B 47e975cd91b9ee1e6436db099b13ff664b25c96f3fd7fa39b54d5daad5154976bdf877607156688d118c6bfc458f941151fc9763c596458432e70e17de77eb59 SHA512 7814b5bb4d4c4dd39b1ce3629e77513bdc3069a553208ee5a2bb6432fda5d20dcf48bbf5d8f61b9bc1f2ea666abd8706a8e8ba627b27ff4561eb4982ba04b1dc
+DIST notebook_shim-0.2.0.tar.gz 12063 BLAKE2B 78c8bdc54cbfe93b5ad0801eef59b4e5b27b243c3f04619bd625960b99a98e02961eff59d1b085dd4fba0930ad10664568b53dd013df7d37922ccf2b0ea9b2c2 SHA512 78ae082fbd04e611af3bac75600cba7cc98f40019d9ed49981dacb5106687310b04f67810e4a35b96800d94b04b7ddca1fcd115a380f4c39847c6b4178bd9500
EBUILD notebook_shim-0.1.0.ebuild 963 BLAKE2B 0350f66265a980d4f30efb50fd832ca498497f40bef9ff0e95df9b9cd4f5e11597facbe18461fc01c334b847e2f5f9dd319e8ebf42f256883acbb6d2de13a750 SHA512 51c4c1d523c396425ef105b820c4992d8327797d17ede1f7bfb06c9a8f760f1284bdfa1f16388855d4d58dc19aede7785dbe52727d43ddb5902f4c05a4b9c466
+EBUILD notebook_shim-0.2.0.ebuild 970 BLAKE2B c5f9895ce6ff2b8dbfb74359d3105262e5a8d971e19a21dc20617a2c241ca4ec73abc168043be339ab65a5bd7696b966fb81fe56ed9717b4714db67dad71c51d SHA512 57711abf02e2971ebe02bad7d06492b32a89aeb75e6610d20f5fef129c0920ae7d1527b0dc1a78e19e7eb373d62efe325532e9ad9267d2707b8626a65d32771b
MISC metadata.xml 535 BLAKE2B 074e2bbcdd15078aaba2c65641a16ca7ce27e0c412d48f2a48a4cd80459a948abc478baa28b3e7417dde2bf13717040dc083711b114d61dfd2a7f7aaac1295ca SHA512 9ff7408848878f74eb9f10ec5aded639a749635851385b6679a72112c253a7427f65ac3e3c41f21f9e8551a439a7c00c4e28a5d70b3529ab9e687a5d0e7abeb9
diff --git a/dev-python/notebook_shim/notebook_shim-0.2.0.ebuild b/dev-python/notebook_shim/notebook_shim-0.2.0.ebuild
new file mode 100644
index 000000000000..a2adde6f8a4f
--- /dev/null
+++ b/dev-python/notebook_shim/notebook_shim-0.2.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=hatchling
+inherit distutils-r1
+
+DESCRIPTION="A shim layer for notebook traits and config"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook_shim/
+ https://pypi.org/project/notebook-shim/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ <dev-python/jupyter_server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Defining 'pytest_plugins' in a non-top-level conftest is no longer supported:
+ mv notebook_shim/conftest.py . || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_tornasync.plugin
+}
diff --git a/dev-python/oauthlib/Manifest b/dev-python/oauthlib/Manifest
index c2030a5f5c41..3259e9cd1fd4 100644
--- a/dev-python/oauthlib/Manifest
+++ b/dev-python/oauthlib/Manifest
@@ -1,3 +1,5 @@
DIST oauthlib-3.2.1.tar.gz 176109 BLAKE2B 69da6e8ae0efac3928b0e8ee0be1eb57f0871b4a9361f7347a0abfabf183f82bf8431d0247168531dd5fb12c6df2e8a55e5f95f3df1da2d3c8931a6b1751fe4c SHA512 87fa320f3a660337a2d4da03c4b5f2345f7e907c1acf8fff93cf13095ceb699e282dc458fb03350b0da371c7b2af875925e808bccab6d8549f7ce2847e69aba3
+DIST oauthlib-3.2.2.tar.gz 177352 BLAKE2B 98c128eb0ec2a24f45fd63826eb2253e2e90afb37c1954a9d21f0046168bfff8d52a24b230b60f4d756e4730c0cc05b3484d2cb6ac3eb2d710ee113dea6598c9 SHA512 c147b96e0ab0d1a8845f525e80831cfd04495134dd1f17fd95eac62f3a95c91e6dca9d38e34206537d77f3c12dd5b553252239318ba39546979c350e96536b8b
EBUILD oauthlib-3.2.1.ebuild 718 BLAKE2B a563d445fd2f70b1d02eea12e5294a367b9399f124fbc8414710a80bd4e8fe225b608c5dc9069a2a22b8fa5da621eafe63fadc99f29e99271812034e0f35dafc SHA512 f81d06660bc89906309147b945ebdf730baafda888d42d810b4e2deb8287192b40ab7d60bc7bbc2fe6b90a39ff13c58a1b78646dad868b5acd43e7963e157f4b
+EBUILD oauthlib-3.2.2.ebuild 727 BLAKE2B fbc2e5b324ee679c8ac2e152a38011918ae8847aff635a3abd731bbbe235f92bad105222df112f1a74e57f17c23a540d90e56dea811c9ebbbbe8b373b6e54606 SHA512 311d8b0942cc3c1ae1ad939024695f049c55ce1fb04d33a16dc592854de692db76b9183b0c2a7d623e933d836d4eb776aecb3ccd3cf8cc747c815cee8eb218d3
MISC metadata.xml 393 BLAKE2B 7b784c5d6a94cb2eee22f2b92b154fb6a975d752a6af15822fbbd055175078ca3070a75ae575ce65619b9a09420ad5197f320f117a60e72db2ce47fef16ebf34 SHA512 30ceec289fd200942c38e63e9ac46e2caed0db9e990f89b3c04484cf11b8c584040bfb58c827d6a4d3425071b66b099e6dd7ac99397edbd2d58e943e04c2d9e6
diff --git a/dev-python/oauthlib/oauthlib-3.2.2.ebuild b/dev-python/oauthlib/oauthlib-3.2.2.ebuild
new file mode 100644
index 000000000000..68d28962cdb7
--- /dev/null
+++ b/dev-python/oauthlib/oauthlib-3.2.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Spec-compliant and thorough implementation of the OAuth request-signing logic"
+HOMEPAGE="
+ https://github.com/oauthlib/oauthlib/
+ https://pypi.org/project/oauthlib/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+# optional extras hard set as RDEPs. See setup.py
+RDEPEND="
+ >=dev-python/pyjwt-1.0.0[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pastedeploy/Manifest b/dev-python/pastedeploy/Manifest
index c084c716d119..184e2e58a0ce 100644
--- a/dev-python/pastedeploy/Manifest
+++ b/dev-python/pastedeploy/Manifest
@@ -1,4 +1,6 @@
AUX pastedeploy-2.1.1-change-sphinx-theme.patch 752 BLAKE2B fc381dfb1ee909471b89413a8e5b8f68876cc66615776664e8eadbaf15833b36c9799139db15fe551c9cd7d50fe305e13d104d4a2dc1176eb7ba576b0cc7cc05 SHA512 479d0e34f2d86254855335874499eb5bff2151a2f08cd04f021976933441005062670487108374ec24084dd8ea7881cb69938c61fd7a28ded53a32bc0e5df972
DIST pastedeploy-2.1.1.tar.gz 32339 BLAKE2B d11affa480e5c9b7be53d0431090e4ec9d66f8862b1aadf6a993a09f9c952380d7698eaa7442614936a8316e2ac50404a096bf64bb3ef31f55cbee35b5982166 SHA512 0109e30cb5ae9bdd7f06a79f6236c90f96c3bcfe507258572b1329796a1821486d9762d954673ccbac76ee63c6a69e64fe5e2cae5402fecf4a5affe88cf46930
+DIST pastedeploy-3.0.1.gh.tar.gz 33420 BLAKE2B d96e9429852ce2f6b82aac834c3a1da069f02d542f7379935e42a9e663cdee807230bbede3acc03fb5cccc3b4462d3f3afaa84eec09225bbaffe6ece4534f3fe SHA512 2b06351b9104da1e0d30c90492ee31113aacf5cde7a66a34482c4625af902b855eab2af80073db4eb18805a192f858dac360062dadf58a161cc3cfabf5b67a1a
EBUILD pastedeploy-2.1.1-r3.ebuild 992 BLAKE2B 71b2d8fb06be52e58f05f6d7a51926b934be953224fe68ba2aea95ae5defd82fab3cb0ca086f1b1e86a26ceb104467d97695689748fac670e0f4e6a46b69b43f SHA512 0d991ee7a060edc097b32184cca0cb7a017d2f0850f38d7ad685a4fe80235891895b5728f2968c2698d4dd7055c646cb553a7cf90f6cb62a6c6e129b4a9cf5c2
+EBUILD pastedeploy-3.0.1.ebuild 932 BLAKE2B 8e9c266d09bf744c3f188ee77aa8cbc4fa9af41cf4d20eb50e40255201e403307db871046d4610b687cf4a4efa5d2d4abf1455962b757ec77f1b2fb76db4736e SHA512 5cee38c8116a7ca9197aa47371ddccf8418666c2d55c1c3d7955acb5a8dd3abd2e77d037cda83d391472f4e84b3e9e7a6639ee27deceed662314d61ad732410e
MISC metadata.xml 965 BLAKE2B afd902e013f9f3ffa27225cff2a97551875a2cc4a02d968c5366cbbccda0442ac8e381eb8d93655a7a5d6101c97f2e00b362657272ddef4123af57ee1173b045 SHA512 2ab7460b4b6baeedbb1a7c64a760914278f4af622a3e0fc9452fcfccb7274383a26b559f45f7eb11a1f4cf546d24b7582a0dd61f64198b8760d247b6b4a2cd16
diff --git a/dev-python/pastedeploy/pastedeploy-3.0.1.ebuild b/dev-python/pastedeploy/pastedeploy-3.0.1.ebuild
new file mode 100644
index 000000000000..eb65cd769e0d
--- /dev/null
+++ b/dev-python/pastedeploy/pastedeploy-3.0.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="PasteDeploy"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Load, configure, and compose WSGI applications and servers"
+HOMEPAGE="
+ https://github.com/Pylons/pastedeploy/
+ https://pypi.org/project/PasteDeploy/
+"
+SRC_URI="
+ https://github.com/Pylons/pastedeploy/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
+
+RDEPEND="
+ !dev-python/namespace-paste
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov::' pytest.ini || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/pytest-twisted/Manifest b/dev-python/pytest-twisted/Manifest
index 16e85a5db2f4..d9af42c28ae9 100644
--- a/dev-python/pytest-twisted/Manifest
+++ b/dev-python/pytest-twisted/Manifest
@@ -1,3 +1,5 @@
DIST pytest-twisted-1.13.4.gh.tar.gz 15687 BLAKE2B 8e1024da02a5a1c9c33df96c18a355b9be5757446d9f5495ba1f043c15a2e44efd6e59693986a0684d77b8518393ce9f382d62e3d1e5b903876e8cff34efb427 SHA512 99899ad73f87582023a0e639986a287b4571638be4f1ae134078a15a4d4bebd24153f813c993382603edc14306c12931e2daf517d7998e48d3d19b8469c0b7aa
+DIST pytest-twisted-1.14.0.gh.tar.gz 16234 BLAKE2B 1f0470893135127111194dcb726e5c16c8ce6911456eae7068035a001010b2513f5b1d7507c84f8ebf183042144c3cec3fb4fd1f060d987f5e1f3c053f29ed0e SHA512 d3c1b7320f87bd32bec992b807baf235c13e5595c93895eb7df91f709d7ab92dbbc30a47f4341477d7ba9541958efa1d4ef7d355023050747b401bb541314bc9
EBUILD pytest-twisted-1.13.4-r1.ebuild 1180 BLAKE2B 7c07bb50844469c75a9dd56f1c7d74d0c6058b4a04e46bbf811cd6a98a1750b8ddd416240e61108965650a66a7a4734e70de3602f8a12cd23fcca77d40204edb SHA512 5f19e960b339342c17786fd0583f2814e5dbc47a50f3c81953fe349832680f9aab5268f711eac2644ccf875af7c941016b7d8d5e3ac5fb0205391e606c8fffd7
+EBUILD pytest-twisted-1.14.0.ebuild 1234 BLAKE2B a6ed482885a45f9fe5ed34be7e4b3211ac30ee29e8c3a650eb5ed27a95bbb7ab86235bcf23255895d368f956199de3d5bf74ede2e5630f7acd49febcc4af0018 SHA512 f85a53c6a63a2a2776447e3642fca14c1f441e106850d58436e292717002a54ba2a8a62eb27c6f5adc59eb25a720b8e6182effbd226e5eacd2946fe31f1a573e
MISC metadata.xml 642 BLAKE2B c081296008b9003b05ba94fa6942b41818d3b68a8ca143437fc134b44c39d392f5cb05f2c65ed8a7b7d4f0115ae68c986bc6bf60d9a7d624919e20a9d2cc06d6 SHA512 4abfad276da1a0915bab78a189519900b71d5e87a71ca93332381d08af734128fe8cc1a325945ab33b3098a51a7d62ba53525615a6345419b5f94bb4c8f59438
diff --git a/dev-python/pytest-twisted/pytest-twisted-1.14.0.ebuild b/dev-python/pytest-twisted/pytest-twisted-1.14.0.ebuild
new file mode 100644
index 000000000000..cb6ee5309a59
--- /dev/null
+++ b/dev-python/pytest-twisted/pytest-twisted-1.14.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="A pytest plugin for testing Twisted framework consumers"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-twisted/
+ https://pypi.org/project/pytest-twisted/
+"
+SRC_URI="
+ https://github.com/pytest-dev/pytest-twisted/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+
+RDEPEND="
+ dev-python/decorator[${PYTHON_USEDEP}]
+ dev-python/greenlet[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.3[${PYTHON_USEDEP}]
+ dev-python/twisted[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # If we let pytest-twisted autoload everywhere, it breaks tests in
+ # packages that don't expect it. Apply a similar hack as for bug
+ # #661218.
+ sed -e 's/"pytest11": \[[^]]*\]//' -i setup.py || die
+
+ # https://github.com/pytest-dev/pytest/issues/9280
+ sed -e '/^pytest_plugins =/d' -i testing/conftest.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_twisted
+
+ epytest -p pytester
+}
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index b8d2348c1622..bc4e63b4e691 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -6,10 +6,12 @@ DIST sphinx-5.2.0.gh.tar.gz 6777631 BLAKE2B 53514f0561a53e656f15f434f79a2e2a6c0b
DIST sphinx-5.2.1.gh.tar.gz 6777833 BLAKE2B 128c8bbeb1609eef353da88a6d7dc561839b9e60abc46325b96e668a2babc39695f65d7e9539ab8faaae7ba27f558e6ec300579f94f1a62da9ef0d9804eda893 SHA512 bb51a91f7eb9643cf30be732cd0d9d45a90a1358d8379d89ac3ec0a46dcb0724a57ec4d5062375b6a98bfbb5d688d709ca9a1ed65d7825f4402cacf01cc9e034
DIST sphinx-5.2.2.gh.tar.gz 6777525 BLAKE2B a6b5ff51072407be6e9bc7ae4d287826b8ce391c1ed712595d99c35af6279ea5404e28c48f8694620f246001824bb7cf2b0ac18d90f859874740d54a12ff9c33 SHA512 290ccea3ddf8dd73679976064fde6130213085c352972da0db4aba1a8f2fcb2e69ed52f2bb2469661bdfd90a1bf75255075e133e08cfcc301f28116415bad080
DIST sphinx-5.2.3.gh.tar.gz 6778166 BLAKE2B 0ba15fb7d558ee4d2d2ead5e04aa65d32dbda3b711d43723f8267dcd88ebf18711081aecdaa607e4bcac1198bd3f55409379f5f912e3a6a672508b941ed72891 SHA512 8a78beb63bdfafe4808c12e3d09adf1e222f0555171eb177f578c4434a454c0527171b1fc751e5df654c7a5f78b2b5709be5b32edaeb98f5f6ae71719efec327
+DIST sphinx-5.3.0.gh.tar.gz 6873479 BLAKE2B c57ede5e3d83447c6152d050d45df73bced62ce0cdcd84ea6316a48bff072590ad036c469dee053a9dc5eb1a7ae53b350aa25b5fe14c3378dc6543186552f720 SHA512 6877635d46f2e1f2b4cf4edaca463d85bf740a13bbeb867486efd57904aacc42626e6a4f58ad971e50808d31391d068702c4f2910a95e5c86dbd68d87e2552c8
EBUILD sphinx-4.5.0-r1.ebuild 4293 BLAKE2B 4bef871b4129b6048a45ca8bf8752a45543191caf84c18e80d826fc8d8c87c012cae76279ec25c9656b5e2e5f3801f15744e122d187514f1a41638efcca794b9 SHA512 331f455811a822b44a398eca904857fc6db2f91f447468029a855d87a5d72378caf9e504cd168511e24896425820c833c5cc10c6dfac005f952471f5808c1d80
EBUILD sphinx-5.1.1.ebuild 3952 BLAKE2B bb5c2275de2ab18a564e742d5a1110d5d3c3b42c9892826eaed7cc421260e9bb7006e3bd43025882d92a93d57ff3b838745f544d44ca241bc46ae0e7d128542d SHA512 b1b476e9fe5c9e0159373e4149d807a8ae55117d82e381f29b64ec7d238c63c34585d0c045ed3e0da35dd7b822541d9a8827de65fda72cb936f9ce5e051a4e8c
EBUILD sphinx-5.2.0.ebuild 4006 BLAKE2B d89b7360a35d2a40f5f4a9e077173bbbba98e46c40dd443f90bbc31cabc4b76284e1068d54ce33c0f628973c623d2c3af67541edbd8bcfe3b01254384e27a0f2 SHA512 4eb42fc2bc1ef23ac95d0c77ce5cbdeafd789c16e5005e173797ced0c5fcb8aa31b2866cf7926c40d5907b8806d750ba1a88842b6549b604d5194a8972a7c7af
EBUILD sphinx-5.2.1.ebuild 4006 BLAKE2B d89b7360a35d2a40f5f4a9e077173bbbba98e46c40dd443f90bbc31cabc4b76284e1068d54ce33c0f628973c623d2c3af67541edbd8bcfe3b01254384e27a0f2 SHA512 4eb42fc2bc1ef23ac95d0c77ce5cbdeafd789c16e5005e173797ced0c5fcb8aa31b2866cf7926c40d5907b8806d750ba1a88842b6549b604d5194a8972a7c7af
EBUILD sphinx-5.2.2.ebuild 4006 BLAKE2B d89b7360a35d2a40f5f4a9e077173bbbba98e46c40dd443f90bbc31cabc4b76284e1068d54ce33c0f628973c623d2c3af67541edbd8bcfe3b01254384e27a0f2 SHA512 4eb42fc2bc1ef23ac95d0c77ce5cbdeafd789c16e5005e173797ced0c5fcb8aa31b2866cf7926c40d5907b8806d750ba1a88842b6549b604d5194a8972a7c7af
EBUILD sphinx-5.2.3.ebuild 4006 BLAKE2B d89b7360a35d2a40f5f4a9e077173bbbba98e46c40dd443f90bbc31cabc4b76284e1068d54ce33c0f628973c623d2c3af67541edbd8bcfe3b01254384e27a0f2 SHA512 4eb42fc2bc1ef23ac95d0c77ce5cbdeafd789c16e5005e173797ced0c5fcb8aa31b2866cf7926c40d5907b8806d750ba1a88842b6549b604d5194a8972a7c7af
+EBUILD sphinx-5.3.0.ebuild 4176 BLAKE2B e7504318bac6fce706a5f2bd991abec04b7acd4c2e3a0acff1ee184ca4fd1bb6520811bb143a8761e575202ad29111d6f91c5412b9f952316c958b9b0001d833 SHA512 5eadedad95c9dcb9a9482620be661db0e4ce391ce1f4dd80764b30fc4352ab014bab3d962ba05ebc49fc8dc52ac2f4313e98c1ad3ed7785c7c6984a3868634b5
MISC metadata.xml 568 BLAKE2B ddb7175070df6da4088813cc6b66f25bb4364e2619b1e7da94370f7ce8e73b68b12f618412f81e6be57fcb0c60c10e3913f26a6a578b0f9defa7b9ee8091fcde SHA512 d32b37cbe88f5e3db0c6968bc7aa22c7edfb3794bf7c62facd17e7ae1f4f0fbfc7c9f5512230cce16ed32e2ebb70c23dfe9b36ce38785c5f5b76585410313214
diff --git a/dev-python/sphinx/sphinx-5.3.0.ebuild b/dev-python/sphinx/sphinx-5.3.0.ebuild
new file mode 100644
index 000000000000..e81cdcd89147
--- /dev/null
+++ b/dev-python/sphinx/sphinx-5.3.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.9[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.20[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.12[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.0[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.5[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.8[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+ !dev-python/namespace-sphinxcontrib
+"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+ "${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ # TODO
+ tests/test_ext_autodoc_autoclass.py::test_classes
+ tests/test_ext_autodoc_autofunction.py::test_classes
+ tests/test_ext_inheritance_diagram.py::test_import_classes
+ # looks like a bug in lualatex
+ "tests/test_build_latex.py::test_build_latex_doc[lualatex-howto]"
+ "tests/test_build_latex.py::test_build_latex_doc[lualatex-manual]"
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_decendants_of_generic_type
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_automodule.py::test_automodule_inherited_members
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util_typing.py::test_stringify_type_hints_pep_585
+ )
+
+ epytest
+}
diff --git a/dev-python/sphinxcontrib-spelling/Manifest b/dev-python/sphinxcontrib-spelling/Manifest
index 18240ce62a56..7451fc3cbd82 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -1,5 +1,7 @@
DIST sphinxcontrib-spelling-7.6.0.tar.gz 56329 BLAKE2B e26a3fcb39edf622b20bce0d79d1ce2d2a13e4dd8bdef0bb5cc31108a8ee42afd728975fd65e840c91bc6c6510a57904ebc478b458a52a96031bf44f1cbfa8b6 SHA512 102202eb73767ffface2aa5555c8ee2658bcd3c1eb7f3a925e8713e2f233d1bcf0eb307fed6c264c4e4e6503c30d83a3025b0c39ef608451d2fe86664aeb48c5
DIST sphinxcontrib-spelling-7.6.1.tar.gz 56828 BLAKE2B 4b059262af6048a037378a48b8f0232d1846365e83069830a877a79296a8004070418199574ee34c3c7cdc644273b0316cbfe45978ff979b91764fd523a408e4 SHA512 504719cf565d27f61e0b30c76129afba7513cb0b974deb9adc40762ea51f62c414844d61d69ab4cc19c95c01d8684097803ba0a8f74c79b3be983ce085ae1e06
+DIST sphinxcontrib-spelling-7.6.2.tar.gz 57029 BLAKE2B 0e4cbdb167afbb5e2b60e8bae7e3b3ca8993e32495e5005e3889e8e34199f76deca8e1414e7a702b20a1c2600b9cc56781fa358a707eb1949e2491fe400aff70 SHA512 ab320b442727770ee86e1007bfda62799eb82e851a4dff48613be1bb597148255a0067d99ec4b6de912f1c46f466c691cab175bef98af501a166974946c1e8ae
EBUILD sphinxcontrib-spelling-7.6.0.ebuild 1026 BLAKE2B 63fb36f0d5e11274574acfad2a86be588f95ee6d270fb761390ac6d676688ab9f4b6c93bfc0239d47c0e9ac14f559ad4f403907d62af71daa92927f902a4db24 SHA512 34903f8138bcd4cf5c85de0a112d4210e3a4c2cfd3bfd61a91571ced19d43997f5c17750656d6b775f6f6356e36765a09b21ad5e97b642ab1142939ea4f9e8cf
EBUILD sphinxcontrib-spelling-7.6.1.ebuild 1033 BLAKE2B cb0f2310e25fe207a31b8889d842341efd0683a699f0a959f9f1a5962a52a6d658ffd56936951c1e540a8f0eccd6a7c3cb0e42c916303365fa26c9b32d152ec2 SHA512 140bbb72d466bd6766fd004bd537bdb18981f145e310c05b0ec318d735a4f557bf5061fab31d3ffb49031e7027f6bb4e5610a7f1bfdb6203ea9e619c15fe013d
+EBUILD sphinxcontrib-spelling-7.6.2.ebuild 1033 BLAKE2B cb0f2310e25fe207a31b8889d842341efd0683a699f0a959f9f1a5962a52a6d658ffd56936951c1e540a8f0eccd6a7c3cb0e42c916303365fa26c9b32d152ec2 SHA512 140bbb72d466bd6766fd004bd537bdb18981f145e310c05b0ec318d735a4f557bf5061fab31d3ffb49031e7027f6bb4e5610a7f1bfdb6203ea9e619c15fe013d
MISC metadata.xml 451 BLAKE2B fa659ac4949e98ca8c5a11a9b72ecba8a69ca94d95f8ab5f07c0d43d9684cd1cd21dbd63f42928a9920001904a6f75aa5663a3d924b02910c78b7894f6011722 SHA512 fead100dcd4c1d85e29260a60178e1b866ceb1f944c73fffcc051e2cfb1e96cc2e61bcf94379c0dcf84bed1349abaceb86ca9a89f2b1a8ddd384c14997d1a159
diff --git a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.6.2.ebuild b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.6.2.ebuild
new file mode 100644
index 000000000000..834977197c58
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.6.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="
+ https://github.com/sphinx-contrib/spelling/
+ https://pypi.org/project/sphinxcontrib-spelling/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/pyenchant[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ app-dicts/myspell-en
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires the git repo
+ tests/test_filter.py::test_contributors
+)
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ rm -rf sphinxcontrib || die
+ epytest tests
+}
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index d9e6b93d4636..19f410183eca 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -1,3 +1,5 @@
DIST SQLAlchemy-1.4.41.tar.gz 8281227 BLAKE2B 31fb2bfcb41ceefc2c6ed70444b5d8b38a862e06899dd9b5ede7fde0b624ce9f8be766028aaf32b36983268c35e61d87ada5a597260fb97efe72bfc27ce15a71 SHA512 f03a2d4d61a108b4091a4d2ccf2bf49ea22e6c30fcbd70758f89dc3817968e7b5ffa603ce0158812fe42814cd08bbadd00079609a47765d3c534d769835a5543
+DIST SQLAlchemy-1.4.42.tar.gz 8303728 BLAKE2B 8b3a4f1c0931e6182b0251b986d3efb14b032035cb9b6f86fbbd9928f69a12436944c6e5a81aca6ca50dbea76306b14ca8ef68ea36ef82c4b4531498681191a4 SHA512 113e7c5e0949d70091f74271a55722caa1597d65e2e18208691dfd3ff1753b6eec7e69da954958e6dbd34d9c78c022e73bc123d1d1536d27d24f77c044e13621
EBUILD sqlalchemy-1.4.41.ebuild 2690 BLAKE2B 91e714783cea0d60aa2ad38dab70bcb1defdb4db95977958970c9ca14d58a66fd7c88ade7a2f8ef392e32238161c94dc28457288d223a1ccf506fb66f148c46a SHA512 2dbb1cbda431533fc0ca7f554c819c1f190f91b6e2c1c00216009a987fae864046109eb8656ec1b50450e7b70d090719e82a6f3c5dc313c6e05f43e870ffaf7d
+EBUILD sqlalchemy-1.4.42.ebuild 2698 BLAKE2B b1ff340d3abdc039f3d72a031e2157087dbe6eca30d8e56c147c5556366446aad8774665bea45c7f797ff07d016a51edc1282f08d52585f76a7859961fea90f6 SHA512 fca4a89adf8fbf44103d33c0443928c7e368c8a7e0b82bf3c82e5712ae54a25a9b98c2a13d0d751839bd91dcb6ab9f3aca301eddafe1d973d3cb1973f50afac0
MISC metadata.xml 444 BLAKE2B 5fbfcf8f16e52ab5bb691b0b33a8491d94e42a80409114cd9b306af7d4b0eb8b6660fabc663adee53080c635217961301b78df536995b91afe9288d255f73d62 SHA512 b432b65ed3033d34ac0784d007909eb838b309b6a4785eebb1a3f808e43dfc41c786cd55e4dd048776c65127aac170bdd9fb9e5a8ae63accb5f65e300bca9676
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.42.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.42.ebuild
new file mode 100644
index 000000000000..8291064f7c0b
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.42.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature
+
+MY_PN="SQLAlchemy"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+)
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/tinycss2/Manifest b/dev-python/tinycss2/Manifest
index ba0618a81829..be6dbc289a7f 100644
--- a/dev-python/tinycss2/Manifest
+++ b/dev-python/tinycss2/Manifest
@@ -1,4 +1,6 @@
DIST css-parsing-tests-c5749e51dda3868b3e8062e65a36584c2fec8059.gh.tar.gz 35758 BLAKE2B d834011c3ac774eb79b35e2e74f3854ddc2bb871531a32194041d6f98bde3dc68db67baea25d5463a03e057197144237be69fee4eacfb8edb73167e6e4faf7be SHA512 ef44eb1144a6484f308fabe4187310b2ef0067f328bf5213969d87c475fccae3d716dc66640a0a554ab2a3d7da0efb3a168a288ac6eef7722f3ae46959943b49
DIST tinycss2-1.1.1.gh.tar.gz 28261 BLAKE2B f86b25be62c4c107dd6dca0b9e49605bc0c04b6ec48c4283fa7a5a33249032dcc3a42bdb9910d6235da4c4ddbf581ef8ebdc404c3bb32eeca7f355c0081e6fb7 SHA512 788b57fbadd299a4d4745bcc1814a2ebf6db76e337f2de2637ffc1610a3dac5a70f01bb9ffbb2afbdb0c638a6b23cc1b2f199eebfbb77d84906a9da5dfecada6
+DIST tinycss2-1.2.1.gh.tar.gz 28351 BLAKE2B 42e1ba559e015654184be94afb02866f32bb6cfbdb0006df29ce64f8715d25a8751acd8380db7ad06bd9f5fdcc694519d2bc3c916dfd09816ba44c18a1f1d750 SHA512 59964398418fd895c6b5bdbdac47edb0bd421aeb8b3939307cb9ff864f50071fc171a9d6bb9b9b0adbbb645beedea0e14720af0d824949236e54b2d1b189bc72
EBUILD tinycss2-1.1.1-r1.ebuild 1133 BLAKE2B b43e8e5eba7ab75db02c9404698faf668b0d077e7844df97aeaee9b7d4ee7555b629b9961a1496033f18e15380144407ecf057e4f10d8bdd79704056cd9a9769 SHA512 7d6e85f3fc0904922b64c98c55364985691f587a9131e2b6718db7b609c454c33e2e856b318a6b376f49d7ec9b853367b8650c7ec1afbaba2fcfaa2b064ea0d9
+EBUILD tinycss2-1.2.1.ebuild 1098 BLAKE2B 0731d64381d6674685e482bc2907aed4f58f9aa0629e7599341ae52c629ceda00a2368adf31bde66852829a9b9691cf1d05d790b57f1a8884bf029af447bde75 SHA512 6da3f526d30cdf07784060482aa285054ab683d289dde57c5064dc864bf51c6e29e93854240918019b6183c5d7db23a8888b8ed143c048a4afec0a8e2dfd6b54
MISC metadata.xml 523 BLAKE2B 1590e6af6e994f20bd2087eb2ad0d9a05736f983a123cf5a7373d0f8e2608dbdd8886fe90fd62d978e0abcdcb9deef30a9cf9622302fc2d3d20a137ce1d4b563 SHA512 04c0ea9aa7b4d9317a262bda5486c1495a7978b44e6c87c1c67a44f7846807c2ba5dae6a55f32c21237adb8d25426746da0b0c63dba6668ea2e0f35223859a6c
diff --git a/dev-python/tinycss2/tinycss2-1.2.1.ebuild b/dev-python/tinycss2/tinycss2-1.2.1.ebuild
new file mode 100644
index 000000000000..8263763b5bad
--- /dev/null
+++ b/dev-python/tinycss2/tinycss2-1.2.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+CSS_TEST_COMMIT_ID=c5749e51dda3868b3e8062e65a36584c2fec8059
+
+DESCRIPTION="A complete yet simple CSS parser for Python"
+HOMEPAGE="
+ https://www.courtbouillon.org/tinycss2
+ https://github.com/Kozea/tinycss2/
+ https://pypi.org/project/tinycss2/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="
+ https://github.com/Kozea/tinycss2/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/CourtBouillon/css-parsing-tests/archive/${CSS_TEST_COMMIT_ID}.tar.gz
+ -> css-parsing-tests-${CSS_TEST_COMMIT_ID}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/webencodings-0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ if use test; then
+ mv "${WORKDIR}/css-parsing-tests-${CSS_TEST_COMMIT_ID}"/* \
+ tests/css-parsing-tests/ || die
+ fi
+ distutils-r1_src_prepare
+}